| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::LocalPendingInfo Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint toBeAdded
- uint actor
- uint reason
- QString message

## Detailed Description

Structure type generated from the specification.

A structure representing a contact whose attempt to join a group is to be confirmed by the local user using AddMembers.

## Member Data Documentation

uint Tp::LocalPendingInfo::toBeAdded

The contact to be added to the group

uint Tp::LocalPendingInfo::actor

The contact requesting or causing the change

uint Tp::LocalPendingInfo::reason

The reason for the change

QString Tp::LocalPendingInfo::message

A human-readable message from the Actor, or an empty string if there is no message